'use strict';

var _require = require('./../helpers'),
    has = _require.has;

exports.get = function () {
    var override = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

    var options = new DefaultOptions();
    if (Object.keys(override).length) {
        overrideDefaults(options, override);
    }

    return options;
};

function overrideDefaults(defaults, override) {
    Object.keys(override).forEach(function (optionName) {
        if (has(defaults, optionName)) {
            defaults[optionName] = override[optionName];
        }
    });
}

function DefaultOptions() {
    var defaults = Object.create(null);
    defaults.entries = [];
    defaults.aliases = [];
    defaults.whitelist = [];
    defaults.strict = false;

    return defaults;
}